For the complete documentation index, see llms.txt. This page is also available as Markdown.

Droptop endpoints

About Droptop

Returns data that Droptop needs

get

Returns data that Droptop needs

Responses
200

Successful operation

application/json
versionstringRequired

Main Droptop version

miniversionstringRequired

Secondary Droptop version

CustomApp1stringOptional

The version of a Community App

CustomApp2stringOptional

The version of a Community App

CustomApp3stringOptional

The version of a Community App

CustomApp4stringOptional

The version of a Community App

CustomApp5stringOptional

The version of a Community App

CustomApp6stringOptional

The version of a Community App

CustomApp7stringOptional

The version of a Community App

CustomApp8stringOptional

The version of a Community App

CustomApp9stringOptional

The version of a Community App

CustomApp10stringOptional

The version of a Community App

get/droptop
GET /v1/droptop HTTP/1.1
Host: api.droptopfour.com
Accept: */*
{
  "version": "text",
  "miniversion": "text",
  "CustomApp1": "text",
  "CustomApp2": "text",
  "CustomApp3": "text",
  "CustomApp4": "text",
  "CustomApp5": "text",
  "CustomApp6": "text",
  "CustomApp7": "text",
  "CustomApp8": "text",
  "CustomApp9": "text",
  "CustomApp10": "text"
}

Gets the Droptop Four announcements

get

Gets the Droptop Four announcements

Responses
200

Successful operation

application/json
get/announcements
GET /v1/announcements HTTP/1.1
Host: api.droptopfour.com
Accept: */*
{
  "app": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  },
  "website": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  }
}

Adds a new announcements

post

Adds a new announcements

Authorizations
AuthenticationstringRequired
Body
Responses
200

Successful operation

application/json
post/announcements
POST /v1/announcements HTTP/1.1
Host: api.droptopfour.com
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "app": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  },
  "website": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  }
}
{
  "app": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  },
  "website": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  }
}

Deletes the Droptop Four announcements

delete

Deletes the Droptop Four announcements

Authorizations
AuthenticationstringRequired
Responses
200

Successful operation

application/json
delete/announcements
DELETE /v1/announcements HTTP/1.1
Host: api.droptopfour.com
Authentication: YOUR_API_KEY
Accept: */*
{
  "app": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  },
  "website": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  }
}

Gets the Droptop Four announcement

get

Gets the Droptop Four announcement

Path parameters
platformstring · enumRequired

The platform of the announcement (app, website)

Possible values:
Responses
200

Successful operation

application/json
get/announcements/{platform}
GET /v1/announcements/{platform} HTTP/1.1
Host: api.droptopfour.com
Accept: */*
{
  "app": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  },
  "website": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  }
}

Adds a new announcements

post

Adds a new announcements

Authorizations
AuthenticationstringRequired
Path parameters
platformstring · enumRequired

The platform of the announcement (app, website)

Possible values:
Body
dateinteger · int32Optional

The date of the announcement

expirationinteger · int32Optional

The expiration date of the announcement

announcementstringOptional

The announcement

typestring · enumOptional

The type of the announcement (info, warning, error)

Possible values:
Responses
200

Successful operation

application/json
post/announcements/{platform}
POST /v1/announcements/{platform} HTTP/1.1
Host: api.droptopfour.com
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 61

{
  "date": 1,
  "expiration": 1,
  "announcement": "text",
  "type": "info"
}
{
  "app": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  },
  "website": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  }
}

Deletes the Droptop Four announcements

delete

Deletes the Droptop Four announcements

Authorizations
AuthenticationstringRequired
Path parameters
platformstring · enumRequired

The platform of the announcement (app, website)

Possible values:
Responses
200

Successful operation

application/json
delete/announcements/{platform}
DELETE /v1/announcements/{platform} HTTP/1.1
Host: api.droptopfour.com
Authentication: YOUR_API_KEY
Accept: */*
{
  "app": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  },
  "website": {
    "date": 1,
    "expiration": 1,
    "announcement": "text",
    "type": "info"
  }
}

Gets the number of downloads of Droptop Four

get

Gets the number of downloads of Droptop Four

Responses
200

Succesful operation

application/json
basic_downloadsintegerOptional

The number of downloads of the Droptop Four basic version

update_downloadsintegerOptional

The number of downloads of the Droptop Four update

get/downloads
GET /v1/downloads HTTP/1.1
Host: api.droptopfour.com
Accept: */*
{
  "basic_downloads": 1,
  "update_downloads": 1
}

Get the latest Droptop Four version

get

Gets the latest Droptop Four version

Responses
200

Successful operation

application/json
versionstringOptional

Main Droptop version

miniversionstringOptional

Secondary Droptop version

get/version
GET /v1/version HTTP/1.1
Host: api.droptopfour.com
Accept: */*
200

Successful operation

{
  "version": "text",
  "miniversion": "text"
}

Last updated